#ifndef PRINTING_H
#define PRINTING_H

#include<stdio.h>
#include<iostream>

#include"marker_detection.hpp"
#include"position_heading_calculation.hpp"

namespace pf
{
	void print_marker(marker_t marker);

	void print_position_result(position_t position);

	void print_ECEF_position(cv::Vec4f position, std::string name);

	cv::Mat print_marker_detected(std::vector<marker_t> markers,cv::Mat image);

	void printTransformationMatrix(cv::Mat matrix);

	void printPose(pose_t pose);

	void printPoint(cv::Mat point);
}

#endif 