#ifndef IMAGE_PROCESSING_H
#define IMAGE_PROCESSING_H

#include<stdio.h>

#include"opencv2/opencv.hpp"

namespace img_proc
{
	void conv_bw(cv::Mat& img, cv::Mat& bw_img);

	void blur_image(cv::Mat& img, cv::Mat& blur_img, int filter_size);

	void threshold_image(cv::Mat& img, cv::Mat& thresh_img, int threshold_value);

	void show_image(std::string window_name, cv::Mat img);

	void show_frame(cv::Mat img);
}


#endif
