#include<stdio.h>
#include<iostream>

#include"opencv2/opencv.hpp"
#include "../headers/image_processing.hpp"


void img_proc::conv_bw(cv::Mat& img, cv::Mat& bw_img)
{
	cv::cvtColor(img,bw_img,cv::COLOR_BGR2GRAY);
}

void img_proc::blur_image(cv::Mat& img, cv::Mat& blur_img, int filter_val)
{
	//cv::GaussianBlur(img, blur_img, cv::Size(filter_val, filter_val), 5);
	cv::medianBlur(img, blur_img, filter_val);
}

void img_proc::threshold_image(cv::Mat& img, cv::Mat& thresh_img, int thresh_val)
{
	cv::threshold(img, thresh_img, thresh_val, 255, cv::THRESH_BINARY);
}

void img_proc::show_image(std::string window_name, cv::Mat img)
{
	cv::Mat tmp = img.clone();
	//cv::resize(img,tmp, cv::Size(),0.20,0.20);
	
	cv::imshow(window_name, tmp);
	cv::waitKey();
	cv::destroyAllWindows();
}

void img_proc::show_frame(cv::Mat frame)
{
	cv::Mat tmp = frame;
	cv::resize(frame,tmp, cv::Size(),0.50,0.50);
	
	cv::imshow("Video", tmp);
	char c=(char)cv::waitKey(25);
	if (c==27)
	{
		exit(1);
	}
}
